#include <bits/stdc++.h>

using namespace std;

main()
{
    unsigned long long int n,d=0;
    cin>>n;

    double p[n],c[n];
    unsigned long long int a[n];

    for(unsigned long long int i=0;i<n;i++)
        cin>>a[i]>>p[i];

    for(unsigned long long int i=0;i<n;i++)
    {
        for(unsigned long long int j=0;j<n;j++)
        {
            if(p[i]<=p[j])
                d=d+a[j];

        }
        c[i]=d*p[i]/100;
        d=0;
    }

    sort(c, c+n);

    printf("%f",c[n-1]);
}